body {
    font-family: "Century Gothic", "微軟正黑體", sans-serif;
    background-image: url(../images/bg.jpeg);
    background-position: center top;
    background-color: transparent;
    overflow-x: hidden;
}

.focusable {
    white-space: nowrap !important;
    transition: top 0.3s;
    z-index: 1100;
    color: #000;
    transform: translateY(-100%);
}

.focusable:focus {
    transform: translateY(0);
}

.key-mark {
    z-index: 200;
}

.key-mark * {
    color: #000;
}

a.btn:hover,
.form-control:focus,
select:focus {
    background: #fdcf53 !important;
}

.tab-btn {
    border: none;
    border-right: 2px solid #fff;
    letter-spacing: 2px;
    font-weight: 400;
    position: relative;
}

.tab-btn:last-of-type {
    border: 0;
}

.tab-btn.active::after {
    content: "";
    position: absolute;
    top: 100%;
    left: calc(50% - 20px);
    width: 30px;
    height: 50px;
    border: 20px solid transparent;
    border-top-color: #ff9800;
    z-index: 1;
}

select:focus {
    outline: none;
    border-color: #ff9800;
    box-shadow: 0 0 0 2px rgba(255, 152, 0, 0.2);
}

.table-striped td.bg-white,
.table-striped th.bg-white {
    --bs-table-bg-type: rgba(255, 255, 255, 1) !important;
}

.table-striped * {
    vertical-align: middle;
}

.editor .ed_table th,
.editor .ed_table td {
    padding-top: 0.5rem !important;
    padding-bottom: 0.5rem !important;
}

.text-justify {
    text-align: justify;
}

.text-danger {
    color: #af0011 !important;
}

.fast.right ul li a span {
    margin: 0;
    position: absolute;
    right: 0px;
    font-size: 120%;
    letter-spacing: 1px;
    background-color: #2465b5;
    color: #fff;
    top: 0px;
    height: 54px;
    line-height: 54px;
    padding: 0;
    z-index: -1;
    overflow: hidden;
    width: 0;
    transition: all 200ms ease-out;
    opacity: 0;
}

.fast.right ul li a:hover span {
    width: auto;
    white-space: nowrap;
    padding: 0 72px 0 10px;
    opacity: 1;
}

.table-hover>tbody>tr:hover>* {
    --bs-table-bg-state: #ffde79 !important;
    color: #000 !important;
    border-bottom: 2px solid #ffc107;
}

.table-hover tr:hover th[data-th="編號"],
.table-hover tr:hover td[data-th="轄管警察機關"] {
    --bs-table-bg-state: transparent !important;
}

.ed_table th {
    border-left: 1px #b5b5b5 solid;
}

.ed_table .group-title th {
    border-right: 2px solid #8c8686;
}

.form-select {
    border: none;
    border-bottom: 3px solid #ff9800;
    background-size: 22px 20px;
}

@media (max-width:576px) {

    table,
    .table,
    td,
    tbody,
    thead {
        display: inline-block;
    }

    thead {
        display: none;
    }

    tr {
        display: flex;
        flex-wrap: wrap;
    }

    td,
    th {
        flex: 0 0 50%;
        margin-right: 0 !important;
        vertical-align: middle !important;
    }

    th,
    td[data-th="Google My Maps鏈結"] {
        display: flex !important;
        align-items: center;
        justify-content: center;
    }

    .table-striped th.bg-white,
    .table-striped th.bg-white+td,
    .table-striped th.bg-body-secondary,
    .table-striped th.bg-body-secondary+td {
        --bs-table-bg-type: #ffc107 !important;
    }
}